sources:
  principal:
    principal: true
  xsltview:
    process: &xsltview
      type: edu.byu.hbll.box.impl.XsltView
      params:
        local: principal
        xsltFilePath: src/test/resources/xsl/test.xsl
        sourceXsdFilePath: src/test/resources/xsl/test.xsd
        resultXsdFilePath: src/test/resources/xsl/test.xsd
    harvest: *xsltview
  xsltviewresources:
    process: &xsltview
      type: edu.byu.hbll.box.impl.XsltView
      params:
        local: principal
        xsltDirectoryResourceName: xsl
        xsltFilePath: test.xsl
        sourceXsdResourceName: xsl/test.xsd
        resultXsdResourceName: xsl/test.xsd
    harvest: *xsltview
  xsltviewnewmethod:
    process: &xsltviewnew
      type: edu.byu.hbll.box.impl.XsltView
      batchCapacity: 10
      params:
        local: principal
        xsltFilePath: src/test/resources/xsl/test-new-method.xsl
        sourceXsdFilePath: src/test/resources/xsl/test.xsd
        resultXsdFilePath: src/test/resources/xsl/test.xsd
        newMethod: true
    harvest: *xsltview
